import 'dart:async';

import 'package:flutter/services.dart';

class Techprocess {
  static const MethodChannel _channel = MethodChannel('techprocess');

  static Future<String?> get platformVersion async {
    final String? version = await _channel.invokeMethod('getPlatformVersion');
    return version;
  }

  static Future<Map<dynamic, dynamic>?> startTransaction(
    String techMerchantCode,
    String transactionNo,
    String techTransactionReference,
    String techTransactionType,
    String techTransactionSubType,
    String techCurrency,
    String amount,
    String emailId,
    String mobileNo,
    String schemaCode,
    String publicKey,
    String mode,
  ) async {
    var sendMap = <String, dynamic>{
      "techMerchantCode": techMerchantCode,
      "transactionNo": transactionNo,
      "techTransactionReference": techTransactionReference,
      "techTransactionType": techTransactionType,
      "techTransactionSubType": techTransactionSubType,
      "techCurrency": techCurrency,
      "amount": amount,
      "emailId": emailId,
      "mobileNo": mobileNo,
      "schemaCode": schemaCode,
      "publicKey": publicKey,
      "mode": mode
    };
    Map<dynamic, dynamic>? version =
        await _channel.invokeMethod('callTechProcess', sendMap);
    return version;
  }
}
